Package org.spongepowered.asm.mixin.injection.selectors

## Class TargetSelectors.SelectedMethod

- java.lang.Object
- - org.spongepowered.asm.mixin.injection.selectors.TargetSelectors.SelectedMethod

Enclosing class:
  TargetSelectors

    public static class TargetSelectors.SelectedMethod
    extends java.lang.Object

Selected target method, paired with the selector which identified it

### Method Summary

All Methods Instance Methods Concrete Methods
`org.objectweb.asm.tree.MethodNode` `getMethod()`
`TargetSelectors.SelectedMethod` `getParent()`
`ITargetSelector` `next()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getParent

    public TargetSelectors.SelectedMethod getParent()

#### next

    public ITargetSelector next()

#### getMethod

    public org.objectweb.asm.tree.MethodNode getMethod()